from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTextRangeMover(XInterface, Protocol):
    def moveTextRange(self, xRange: XTextRange, nParagraphs: int) -> None: ...
